Marianne ANSSI

CERT-FR

Centre gouvernemental de veille, d'alerte et de réponse aux attaques informatiques

logo ANSSI
Informations utiles

Que faire en cas d'intrusion ?

Les systèmes obsolètes

Liens utiles

 

L'ANSSI recrute

 

 

Les documents du CERT-FR

Publications récentes

Les alertes en cours

Les bulletins d'actualité

Les notes d'information

Année en cours Archive

 

Les Flux RSS du CERT-FR

Flux RSS complet

RSS

Flux RSS des alertes

RSS

Flux RSS SCADA

RSS

 

CERTA-2007-AVI-223

Imprimer ce document

Version PDF

À propos du CERT-FR

Le CERT-FR

Nous contacter

Contact us ( Drapeau anglais )

A propos du site

Communauté CSIRT

Les CSIRT

Le FIRST

L'EGC

 
Archives du CERT-FR

Année 2017 Archive

Année 2016 Archive

Année 2015 Archive

Année 2014 Archive

Année 2013 Archive

Année 2012 Archive

Année 2011 Archive

Année 2010 Archive

Année 2009 Archive

Année 2008 Archive

Année 2007 Archive

Année 2006 Archive

Année 2005 Archive

Année 2004 Archive

Année 2003 Archive

Année 2002 Archive

Année 2001 Archive

Année 2000 Archive

 

S . G . D . S . N
Agence nationale
de la sécurité des
systèmes d'information

République Française Paris, le 24 mai 2007
No CERTA-2007-AVI-223

Affaire suivie par :

CERTA

AVIS DU CERTA

Objet : Vulnérabilités dans les pilotes sans-fil MadWifi


Conditions d'utilisation de ce document : http://www.certa.ssi.gouv.fr/certa/apropos.html
Dernière version de ce document : http://www.certa.ssi.gouv.fr/site/CERTA-2007-AVI-223

Gestion du document


Tableau 1: Gestion du document
Référence CERTA-2007-AVI-223
Titre Vulnérabilités dans les pilotes sans-fil MadWifi
Date de la première version 24 mai 2007
Date de la dernière version -
Source(s) Tickets de sécurité du site MadWiFi 1270, 1334 et 1335
Pièce(s) jointe(s) Aucune

Une gestion de version détaillée se trouve à la fin de ce document.

1 Risque

  • Exécution de code arbitraire à distance ;
  • déni de service à distance.

2 Systèmes affectés

MadWiFi, pour les versions antérieures à 0.9.3.1.

3 Résumé

Trois vulnérabilités ont été identifiées dans les pilotes Linux MadWifi utilisés pour certaines interfaces d'accès aux réseaux sans-fil. Deux d'entre elles sont exploitables à distance, par l'émission de trames sans-fil spécialement construites. Les conséquences peuvent être un dysfonctionnement de la fonctionnalité sans-fil ou l'exécution de code arbitraire sur le système vulnérable.

4 Description

Trois vulnérabilités ont été identifiées dans les pilotes Linux MadWifi, utilisés pour certaines interfaces d'accès aux résea ux sans-fil utilisant une puce atheros :

  1. la fonction ath_beacon_config() pourrait effectuer une division par zéro pour le calcul de la macro howmany, sans vérifier la valeur du dénominateur intval. Cette vulnérabilité pourrait être exploitée à distance, par une trame Wi-Fi spécialement construite, afin de perturber le système.
  2. la fonction ieee_80211_ioctl_getwmmparams ne contrôlerait pas correctement un index de tableau. Cette vulnérabilité peut être exploitée par un utilisateur local et ayant des droits limités, afin d'élever ses privilèges ou d'accéder à certaines données de la mémoire.
  3. les paquets de type Fast Frame (méthode de compression de données, pouvant s'utiliser avec le standard 802.11e associé à la qualité de service) ne sont pas correctement contrôlés. Leur longueur n'est pas vérifiée, et l'interprétation d'un paquet spécialement construit pourrait ainsi rendre le système indisponible.

5 Solution

Se référer aux tickets de sécurité du projet MadWifi pour l'obtention des correctifs (cf. section Documentation).

6 Documentation

Gestion détaillée du document

24 mai 2007
version initiale.


CERTA
2014-01-17
Premier Ministre / Secrétariat Général de la Défense et de la Sécurité Nationale / Agence nationale de la sécurité des systèmes d'information webmestre Dernière mise à jour : le 2017-04-28